.\"	$NetBSD: mlx.4,v 1.12 2006/12/23 06:52:49 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 10, 2000
.Dt MLX 4
.Os
.Sh NAME
.Nm mlx
.Nd
.Tn Mylex DAC960 RAID controller driver
.Sh SYNOPSIS
.Cd "mlx* at eisa? slot ?"
.Cd "mlx* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn Mylex DAC960
family of RAID controllers, including OEM versions from
.Tn Compaq
and
.Tn DEC .
Attached disk arrays are supported by the
.Nm ld
driver.
.Pp
The
.Nm
driver will warn if a controller firmware upgrade may be necessary, although
as a matter of course, the latest available firmware should always be used.
.Sh HARDWARE
Supported controllers include:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn DEC/Compaq SWXCR
.It Tn Mylex AcceleRAID 150
.It Tn Mylex AcceleRAID 200
.It Tn Mylex AcceleRAID 250
.It Tn Mylex DAC1164P (eXtremeRAID 1100)
.It Tn Mylex DAC960P
.It Tn Mylex DAC960PD
.It Tn Mylex DAC960PG
.It Tn Mylex DAC960PJ
.It Tn Mylex DAC960PL
.It Tn Mylex DAC960PR
.It Tn Mylex DAC960PRL
.It Tn Mylex DAC960PT
.It Tn Mylex DAC960PTL0
.It Tn Mylex DAC960PTL1
.El
.Sh SEE ALSO
.Xr intro 4 ,
.Xr ld 4 ,
.Xr mly 4 ,
.Xr mlxctl 8
.Sh HISTORY
The
.Nm mlx
driver first appeared in
.Nx 1.5.3 ,
and was derived from the
.Fx
driver of the same name.
